Description

=begin

When the Ruby source files are configured for compilation with ./configure and the --sysconfdir= parameter is specified, the

"ext/etc/extconf.h" file is generated with a SYSCONFDIR variable that contains "$(DESTDIR)" literally, not expanded. For example:

$ ./configure --prefix=/usr --sysconfdir=/etc

...

$ make

...

$ grep SYSCONFDIR ext/etc/extconf.h

#define SYSCONFDIR "$(DESTDIR)/etc"

This variable was introduced in r27667 and seems only used in "lib/rubygems/config_file.rb". Why not use

Config::CONFIG['sysconfdir'] there (rbconfig is already required by rubygems)?

Note: this was verified on Linux RHEL 5 with ruby-1.9.2-p0.tar.bz2.

=end

History

#1 - 09/16/2010 08:28 AM - nobu (Nobuyoshi Nakada)

=begin

Hi,

(10/09/15 22:03), Eric-Olivier Lamey wrote at [ruby-core:32394]:

This variable was introduced in r27667 and seems only used in

"lib/rubygems/config_file.rb". Why not use

Config::CONFIG['sysconfdir'] there (rbconfig is already required by

rubygems)?

 It's determined at runtime on Windows.

--

Nobu Nakada

=end

#2 - 09/16/2010 08:37 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

- % Done changed from 0 to 100

=begin

This issue was solved with changeset r29268.

Eric-Olivier, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

=end
